// interactivity style

@use 'fun';

// see typography.color
@mixin accent-color($value) {
  accent-color: $value;
}

// none auto menulist-button textfield
// button searchfield textarea push-button slider-horizontal
// checkbox radio square-button menulist listbox meter progress-bar
@mixin appearance($value) {
  appearance: $value;
}

// see typography.color
@mixin caret-color($value) {
  caret-color: $value;
}

// pan-x pan-y manipulation none
@mixin touch-action($value) {
  @include fun.prefix('touch-action', $value, 'ms');
}

// auto none text all
@mixin user-select($value) {
  @include fun.prefix-all('user-select', $value);
}

// auto default pointer wait text move help not-allowed
@mixin cursor($value) {
  cursor: $value;
}

// none vertical horizontal both
@mixin resize($value) {
  resize: $value;
}

@mixin select-none () {
  // -webkit-touch-callout: none;
  @include user-select(none);
}
